Index: /branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/OPA_SRC/ICB/icbclv.F90
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/OPA_SRC/ICB/icbclv.F90	(revision 3820)
+++ /branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/OPA_SRC/ICB/icbclv.F90	(revision 3821)
@@ -57,5 +57,5 @@
       ! this assumes that input is given as equivalent water flux so that pure water density is appropriate
 
-      zfact = ( (1000._wp)**3 / ( NINT(rday) * nyear_len(1) ) ) * 1000._wp
+      zfact = ( (1000._wp)**3 / ( NINT(rday) * nyear_len(1) ) ) * 850._wp
       berg_grid%calving(:,:) = src_calving(:,:) * tmask_i(:,:) * zfact
 
Index: /branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/OPA_SRC/ICB/icbutl.F90
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/OPA_SRC/ICB/icbutl.F90	(revision 3820)
+++ /branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/OPA_SRC/ICB/icbutl.F90	(revision 3821)
@@ -196,21 +196,21 @@
             ! since we're looking for four T points containing quadrant we're in of 
             ! current T cell
-            ii = INT( pi     )
-            ij = INT( pj      )    ! T-point
+            ii = MAX(1, INT( pi     ))
+            ij = MAX(1, INT( pj     ))    ! T-point
             zi = pi - REAL(ii,wp)
             zj = pj - REAL(ij,wp)
          CASE ( 'U' )
-            ii = INT( pi-0.5 )
-            ij = INT( pj      )    ! U-point
+            ii = MAX(1, INT( pi-0.5 ))
+            ij = MAX(1, INT( pj     ))    ! U-point
             zi = pi - 0.5 - REAL(ii,wp)
             zj = pj - REAL(ij,wp)
          CASE ( 'V' )
-            ii = INT( pi     )
-            ij = INT( pj -0.5 )    ! V-point
+            ii = MAX(1, INT( pi     ))
+            ij = MAX(1, INT( pj-0.5 ))    ! V-point
             zi = pi - REAL(ii,wp)
             zj = pj - 0.5 - REAL(ij,wp)
          CASE ( 'F' )
-            ii = INT( pi-0.5 )
-            ij = INT( pj -0.5 )    ! F-point
+            ii = MAX(1, INT( pi-0.5 ))
+            ij = MAX(1, INT( pj-0.5 ))    ! F-point
             zi = pi - 0.5 - REAL(ii,wp)
             zj = pj - 0.5 - REAL(ij,wp)
@@ -250,21 +250,21 @@
             ! since we're looking for four T points containing quadrant we're in of 
             ! current T cell
-            ii = INT( pi     )
-            ij = INT( pj      )    ! T-point
+            ii = MAX(1, INT( pi     ))
+            ij = MAX(1, INT( pj     ))    ! T-point
             zi = pi - REAL(ii,wp)
             zj = pj - REAL(ij,wp)
          CASE ( 'U' )
-            ii = INT( pi-0.5 )
-            ij = INT( pj      )    ! U-point
+            ii = MAX(1, INT( pi-0.5 ))
+            ij = MAX(1, INT( pj     ))    ! U-point
             zi = pi - 0.5 - REAL(ii,wp)
             zj = pj - REAL(ij,wp)
          CASE ( 'V' )
-            ii = INT( pi     )
-            ij = INT( pj -0.5 )    ! V-point
+            ii = MAX(1, INT( pi     ))
+            ij = MAX(1, INT( pj-0.5 ))    ! V-point
             zi = pi - REAL(ii,wp)
             zj = pj - 0.5 - REAL(ij,wp)
          CASE ( 'F' )
-            ii = INT( pi-0.5 )
-            ij = INT( pj -0.5 )    ! F-point
+            ii = MAX(1, INT( pi-0.5 ))
+            ij = MAX(1, INT( pj-0.5 ))    ! F-point
             zi = pi - 0.5 - REAL(ii,wp)
             zj = pj - 0.5 - REAL(ij,wp)
@@ -304,6 +304,6 @@
       ! since we're looking for four T points containing quadrant we're in of 
       ! current T cell
-      ii = INT( pi     )
-      ij = INT( pj      )    ! T-point
+      ii = MAX(1, INT( pi     ))
+      ij = MAX(1, INT( pj     ))    ! T-point
       zi = pi - REAL(ii,wp)
       zj = pj - REAL(ij,wp)
@@ -348,5 +348,5 @@
       !!----------------------------------------------------------------------
       !
-      ii = INT( pi )   ;   ij = INT( pj )    ! left bottom T-point (i,j) indices
+      ii = MAX(1, INT( pi ))   ;   ij = MAX(1, INT( pj ))            ! left bottom T-point (i,j) indices
 
       ! fractional box spacing