Index: branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_pisces
===================================================================
--- branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_pisces	(revision 3821)
+++ branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_pisces	(revision 3824)
@@ -193,13 +193,13 @@
    ln_ironsed  =  .true.   ! boolean for Fe input from sediments
    ln_ironice  =  .true.   ! boolean for Fe input from sea ice
-   ln_hydrofe  =  .false.   ! boolean for from hydrothermal vents
-   sedfeinput  =  1E-9     ! Coastal release of Iron
+   ln_hydrofe  =  .false.  ! boolean for from hydrothermal vents
+   sedfeinput  =  1.e-9    ! Coastal release of Iron
    dustsolub   =  0.02     ! Solubility of the dust
    wdust       =  2.0      ! Dust sinking speed 
-   icefeinput  =  15E-9    ! Iron concentration in sea ice
-   nitrfix     =  1E-7     ! Nitrogen fixation rate
+   icefeinput  =  15.e-9   ! Iron concentration in sea ice
+   nitrfix     =  1.e-7    ! Nitrogen fixation rate
    diazolight  =  50.      ! Diazotrophs sensitivity to light (W/m2)
-   concfediaz  =  1.E-10   ! Diazotrophs half-saturation Cste for Iron
-   hratio      =  9.E-5    ! Fe to 3He ratio assumed for vent iron supply 
+   concfediaz  =  1.e-10   ! Diazotrophs half-saturation Cste for Iron
+   hratio      =  9.e+5    ! Fe to 3He ratio assumed for vent iron supply 
 /
 !'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Index: branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_pisces
===================================================================
--- branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_pisces	(revision 3821)
+++ branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_pisces	(revision 3824)
@@ -193,13 +193,13 @@
    ln_ironsed  =  .true.   ! boolean for Fe input from sediments
    ln_ironice  =  .true.   ! boolean for Fe input from sea ice
-   ln_hydrofe  =  .false.   ! boolean for from hydrothermal vents
-   sedfeinput  =  1E-9     ! Coastal release of Iron
+   ln_hydrofe  =  .false.  ! boolean for from hydrothermal vents
+   sedfeinput  =  1.e-9    ! Coastal release of Iron
    dustsolub   =  0.02     ! Solubility of the dust
    wdust       =  2.0      ! Dust sinking speed 
-   icefeinput  =  15E-9    ! Iron concentration in sea ice
-   nitrfix     =  1E-7     ! Nitrogen fixation rate
+   icefeinput  =  15.e-9   ! Iron concentration in sea ice
+   nitrfix     =  1.e-7    ! Nitrogen fixation rate
    diazolight  =  50.      ! Diazotrophs sensitivity to light (W/m2)
-   concfediaz  =  1.E-10   ! Diazotrophs half-saturation Cste for Iron
-   hratio      =  9.E-5    ! Fe to 3He ratio assumed for vent iron supply 
+   concfediaz  =  1.e-10   ! Diazotrophs half-saturation Cste for Iron
+   hratio      =  9.e+5    ! Fe to 3He ratio assumed for vent iron supply 
 /
 !'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Index: branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/SHARED/field_def.xml
===================================================================
--- branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/SHARED/field_def.xml	(revision 3821)
+++ branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/SHARED/field_def.xml	(revision 3824)
@@ -298,5 +298,5 @@
        <field id="Sdenit"      long_name="Nitrate reduction in the sediments"      unit="molN/m2/s"                    />
        <field id="Ironice"     long_name="Iron input/uptake due to sea ice"        unit="molFe/m2/s"                   />
-       <field id="HYDR"        long_name="Iron input from hydrothemal vents"       unit="molFe/m2/s"                   />
+       <field id="HYDR"        long_name="Iron input from hydrothemal vents"       unit="molFe/m2/s" grid_ref="grid_T_3D" />
        <field id="EPC100"      long_name="Export of carbon particles at 100 m"     unit="mol/m2/s"                     />
        <field id="EPFE100"     long_name="Export of biogenic iron at 100 m"        unit="mol/m2/s"                     />