Index: branches/2011/dev_r2739_LOCEAN8_ZTC/NEMOGCM/CONFIG/GYRE/EXP00/namelist
===================================================================
--- branches/2011/dev_r2739_LOCEAN8_ZTC/NEMOGCM/CONFIG/GYRE/EXP00/namelist	(revision 2999)
+++ branches/2011/dev_r2739_LOCEAN8_ZTC/NEMOGCM/CONFIG/GYRE/EXP00/namelist	(revision 3839)
@@ -511,9 +511,9 @@
 &nam_vvl    !   vertical coordinate options
 !-----------------------------------------------------------------------
-&nam_vvl
-   ln_vvl_zstar  = .false. !  zstar vertical coordinate                    
+   ln_vvl_zstar  = .true.  !  zstar vertical coordinate                    
    ln_vvl_ztilde = .false. !  hybrid verticalcoordinate: only high frequency variations
    ln_vvl_layer  = .false. !  full layer vertical coordinate
-   ahe3          = 0.e0    !  thickness diffusion coefficient 
+   rn_ahe3       = 0.e0    !  thickness diffusion coefficient 
+   ln_vvl_dbg    = .true.  !  debug prints    (T/F)
 /
 !-----------------------------------------------------------------------
Index: branches/2011/dev_r2739_LOCEAN8_ZTC/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist
===================================================================
--- branches/2011/dev_r2739_LOCEAN8_ZTC/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist	(revision 2999)
+++ branches/2011/dev_r2739_LOCEAN8_ZTC/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist	(revision 3839)
@@ -511,9 +511,9 @@
 &nam_vvl    !   vertical coordinate options
 !-----------------------------------------------------------------------
-&nam_vvl
    ln_vvl_zstar  = .false. !  zstar vertical coordinate                    
-   ln_vvl_ztilde = .false. !  hybrid verticalcoordinate: only high frequency variations
+   ln_vvl_ztilde = .true.  !  hybrid verticalcoordinate: only high frequency variations
    ln_vvl_layer  = .false. !  full layer vertical coordinate
-   ahe3          = 0.e0    !  thickness diffusion coefficient 
+   rn_ahe3       = 0.e0    !  thickness diffusion coefficient 
+   ln_vvl_dbg    = .true.  !  debug prints    (T/F)
 /
 !-----------------------------------------------------------------------
Index: branches/2011/dev_r2739_LOCEAN8_ZTC/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/iodef.xml
===================================================================
--- branches/2011/dev_r2739_LOCEAN8_ZTC/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/iodef.xml	(revision 2999)
+++ branches/2011/dev_r2739_LOCEAN8_ZTC/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/iodef.xml	(revision 3839)
@@ -49,7 +49,7 @@
 	<field id="cellthc"      description="Cell thickness"                            unit="m"     axis_ref="deptht"  />
 	<!-- variables available with key_vvl -->
-	<field id="e3t_n"        description="vertical scale factor"                     unit="m"                        />
-	<field id="e3tdef"       description="vertical scale factor variance"            unit="%^2"                      />
-	<field id="dept_n"       description="depth"                                     unit="m"                        />
+	<field id="e3t_n"        description="vertical scale factor"                     unit="m"     axis_ref="deptht"  />
+	<field id="e3tdef"       description="vertical scale factor variance"            unit="%^2"   axis_ref="deptht"  />
+	<field id="dept_n"       description="depth"                                     unit="m"     axis_ref="deptht"  />
      </group>
 
@@ -296,5 +296,8 @@
 	  <field ref="hc300"        name="sohtc300"  />
 	  <field ref="ist_ipa"      name="soicetem"  />
-	  <field ref="icealb_cea"   name="soicealb"  />   
+	  <field ref="icealb_cea"   name="soicealb"  />
+	  <field ref="e3t_n"        name="voe3tvvl"  />
+	  <field ref="e3tdef"       name="voe3tdef"  />
+	  <field ref="dept_n"	    name="vodepthn"  />
 	</file>
 	
@@ -613,4 +616,8 @@
 	<field id="botpres"      description="Pressure at sea floor"                     unit="dbar"                     />
 	<field id="cellthc"      description="Cell thickness"                            unit="m"     axis_ref="deptht"  />
+	<!-- variables available with key_vvl -->
+	<field id="e3t_n"        description="vertical scale factor"                     unit="m"     axis_ref="deptht"  />
+	<field id="e3tdef"	 description="vertical scale factor variance"		 unit="%^2"   axis_ref="deptht"  />
+	<field id="dept_n"	 description="depth"					 unit="m"     axis_ref="deptht"  />
      </group>
 
@@ -859,5 +866,8 @@
 	  <field ref="hc300"        name="sohtc300"  />
 	  <field ref="ist_ipa"      name="soicetem"  />
-	  <field ref="icealb_cea"   name="soicealb"  />   
+	  <field ref="icealb_cea"   name="soicealb"  />
+	  <field ref="e3t_n"        name="voe3tvvl"  />
+	  <field ref="e3tdef"       name="voe3tdef"  />
+	  <field ref="dept_n"	    name="vodepthn"  />
 	</file>
 	
Index: branches/2011/dev_r2739_LOCEAN8_ZTC/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist
===================================================================
--- branches/2011/dev_r2739_LOCEAN8_ZTC/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 2999)
+++ branches/2011/dev_r2739_LOCEAN8_ZTC/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 3839)
@@ -58,6 +58,6 @@
 &namzgr        !   vertical coordinate
 !-----------------------------------------------------------------------
-   ln_zco      = .false.   !  z-coordinate - full    steps   (T/F)      ("key_zco" may also be defined)
-   ln_zps      = .true.    !  z-coordinate - partial steps   (T/F)
+   ln_zco      = .true.    !  z-coordinate - full    steps   (T/F)      ("key_zco" may also be defined)
+   ln_zps      = .false.   !  z-coordinate - partial steps   (T/F)
    ln_sco      = .false.   !  s- or hybrid z-s-coordinate    (T/F)
 /
@@ -252,5 +252,5 @@
    ln_qsr_2bd  = .false.   !  2 bands              light penetration
    ln_qsr_bio  = .false.   !  bio-model light penetration
-   nn_chldta   =      1    !  RGB : Chl data (=1) or cst value (=0)
+   nn_chldta   =      0    !  RGB : Chl data (=1) or cst value (=0)
    rn_abs      =   0.58    !  RGB & 2 bands: fraction of light (rn_si1)
    rn_si0      =   0.35    !  RGB & 2 bands: shortess depth of extinction
@@ -511,15 +511,15 @@
 &nam_vvl    !   vertical coordinate options
 !-----------------------------------------------------------------------
-&nam_vvl
-   ln_vvl_zstar  = .true.  !  zstar vertical coordinate                    
-   ln_vvl_ztilde = .false. !  hybrid verticalcoordinate: only high frequency variations
+   ln_vvl_zstar  = .false. !  zstar vertical coordinate                    
+   ln_vvl_ztilde = .true.  !  hybrid verticalcoordinate: only high frequency variations
    ln_vvl_layer  = .false. !  full layer vertical coordinate
-   ahe3          = 0.e0    !  thickness diffusion coefficient 
+   rn_ahe3       = 0.e0    !  thickness diffusion coefficient 
+   ln_vvl_dbg    = .true.  !  debug prints    (T/F)
 /
 !-----------------------------------------------------------------------
 &namdyn_adv    !   formulation of the momentum advection
 !-----------------------------------------------------------------------
-   ln_dynadv_vec = .true.  !  vector form (T) or flux form (F)  
-   ln_dynadv_cen2= .false. !  flux form - 2nd order centered scheme
+   ln_dynadv_vec = .false. !  vector form (T) or flux form (F)  
+   ln_dynadv_cen2= .true.  !  flux form - 2nd order centered scheme
    ln_dynadv_ubs = .false. !  flux form - 3rd order UBS      scheme 
 /  
@@ -536,6 +536,6 @@
 !-----------------------------------------------------------------------
    ln_hpg_zco  = .false.   !  z-coordinate - full steps                   
-   ln_hpg_zps  = .true.    !  z-coordinate - partial steps (interpolation)
-   ln_hpg_sco  = .false.   !  s-coordinate (standard jacobian formulation)
+   ln_hpg_zps  = .false.   !  z-coordinate - partial steps (interpolation)
+   ln_hpg_sco  = .true.    !  s-coordinate (standard jacobian formulation)
    ln_hpg_hel  = .false.   !  s-coordinate (helsinki modification)
    ln_hpg_wdj  = .false.   !  s-coordinate (weighted density jacobian)
@@ -781,5 +781,5 @@
 &namhsb       !  Heat and salt budgets 
 !-----------------------------------------------------------------------
-   ln_diahsb  = .false.    !  check the heat and salt budgets (T) or not (F)
+   ln_diahsb  = .true.    !  check the heat and salt budgets (T) or not (F)
 /
 
Index: branches/2011/dev_r2739_LOCEAN8_ZTC/NEMOGCM/CONFIG/ORCA2_LIM/IGCM00/COMP/opa9.card
===================================================================
--- branches/2011/dev_r2739_LOCEAN8_ZTC/NEMOGCM/CONFIG/ORCA2_LIM/IGCM00/COMP/opa9.card	(revision 2999)
+++ branches/2011/dev_r2739_LOCEAN8_ZTC/NEMOGCM/CONFIG/ORCA2_LIM/IGCM00/COMP/opa9.card	(revision 3839)
@@ -84,5 +84,6 @@
         (mesh_mask.nc     ,               ${R_OUT_OCE_O}/${config_UserChoices_JobName}_mesh_mask.nc, NONE),\
         (output.abort.nc  ,               ${R_OUT_OCE_D}/${PREFIX}_output.abort.nc,                  NONE),\
-        (output.init.nc   ,               ${R_OUT_OCE_O_I}/${config_UserChoices_JobName}_${PeriodDateBegin}_output.init.nc, NONE)
+        (output.init.nc   ,               ${R_OUT_OCE_O_I}/${config_UserChoices_JobName}_${PeriodDateBegin}_output.init.nc, NONE),\
+        (heat_salt_volume_budgets.txt,    ${R_OUT_OCE_D}/${config_UserChoices_JobName}_${PeriodDateBegin}_heat_salt_volume_budgets, NONE)
 
 
Index: branches/2011/dev_r2739_LOCEAN8_ZTC/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist
===================================================================
--- branches/2011/dev_r2739_LOCEAN8_ZTC/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist	(revision 2999)
+++ branches/2011/dev_r2739_LOCEAN8_ZTC/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist	(revision 3839)
@@ -512,9 +512,9 @@
 &nam_vvl    !   vertical coordinate options
 !-----------------------------------------------------------------------
-&nam_vvl
-   ln_vvl_zstar  = .false. !  zstar vertical coordinate                    
+   ln_vvl_zstar  = .true.  !  zstar vertical coordinate                    
    ln_vvl_ztilde = .false. !  hybrid verticalcoordinate: only high frequency variations
    ln_vvl_layer  = .false. !  full layer vertical coordinate
-   ahe3          = 0.e0    !  thickness diffusion coefficient 
+   rn_ahe3       = 0.e0    !  thickness diffusion coefficient 
+   ln_vvl_dbg    = .true.  !  debug prints    (T/F)
 /
 !-----------------------------------------------------------------------
Index: branches/2011/dev_r2739_LOCEAN8_ZTC/NEMOGCM/CONFIG/POMME/EXP00/namelist
===================================================================
--- branches/2011/dev_r2739_LOCEAN8_ZTC/NEMOGCM/CONFIG/POMME/EXP00/namelist	(revision 2999)
+++ branches/2011/dev_r2739_LOCEAN8_ZTC/NEMOGCM/CONFIG/POMME/EXP00/namelist	(revision 3839)
@@ -512,8 +512,9 @@
 !-----------------------------------------------------------------------
 &nam_vvl
-   ln_vvl_zstar  = .false. !  zstar vertical coordinate                    
+   ln_vvl_zstar  = .true.  !  zstar vertical coordinate                    
    ln_vvl_ztilde = .false. !  hybrid verticalcoordinate: only high frequency variations
    ln_vvl_layer  = .false. !  full layer vertical coordinate
-   ahe3          = 0.e0    !  thickness diffusion coefficient 
+   rn_ahe3       = 0.e0    !  thickness diffusion coefficient 
+   ln_vvl_dbg    = .true.  !  debug prints    (T/F)
 /
 !-----------------------------------------------------------------------