Index: branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_main.sh
===================================================================
--- branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_main.sh	(revision 3881)
+++ branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_main.sh	(revision 3888)
@@ -173,7 +173,16 @@
 	    pdflist=${pdflist}' '${PDF_DIR}/${file}pdf
 	done
-	texexec --pdfarrange --result=$PDF_DIR/$filepdf $pdflist
+#SF	texexec --pdfarrange --result=$PDF_DIR/$filepdf $pdflist
+# needed pdfjam installed
+	pdfjoin ${pdflist} --outfile $PDF_DIR/${filepdf}
 	rm -f $PDF_DIR/$( basename $filepdf .pdf ).aux $PDF_DIR/$( basename $filepdf .pdf ).log
-	echo ${PDF_DIR}/$filepdf done
+	if [ ! -e ${PDF_DIR}/$filepdf ]
+	    then
+	    echo "${PDF_DIR}/$filepdf do not exist"
+	    else
+	    echo "${PDF_DIR}/$filepdf done"
+	fi
+#if [ ! -f ${PDF_DIR}/$filepdf ] echo ${PDF_DIR}/$filepdf not exist
+#SF	echo ${PDF_DIR}/$filepdf done
 #commented because convert gives images of bad quality
 #	convert ${PS_DIR}/*.ps /tmp/all_${PLOTTYPE}.pdf
Index: branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_all.pro
===================================================================
--- branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_all.pro	(revision 3881)
+++ branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_all.pro	(revision 3888)
@@ -28,4 +28,5 @@
   std_file_oaflux =  isafile(getenv('FILE_FLUX'), title = 'oaflux', iodir = std_iodir_climato)
   std_file_mld =  isafile(getenv('FILE_MLD'), title = 'Mixed layer depth', iodir = std_iodir_climato)
+  std_file_ice =  isafile(getenv('FILE_ICE'), title = 'ICE', iodir = std_iodir_climato)
 
   IF strlowcase(getenv('FILE_GEOHEAT')) EQ 'no' THEN std_file_geoheat = 'no' $
@@ -160,4 +161,7 @@
   Ithi_sept_1 = {arr:1./float(cnt) * total(Ithi_1.arr[*, *, temporary(sept)], 3), unit:Ithi_1.unit} 
   undefine, Ithi_1
+;simona
+;ICE_EXT = read_ncdf(getenv('VAR_ICE'), filename = std_file_ice )
+;simona
 ;
   IF std_file2_I NE std_file1_I THEN BEGIN
@@ -175,4 +179,5 @@
 ;
   Ifra_1 = read_ncdf(getenv('VAR1_Ifrac'), allrecords = allrec, filename = std_file1_I ) 
+  help, Ifra_1.arr, jpi,jpj
   caldat, time, mm
   march = where(mm EQ 3, cnt)
@@ -180,5 +185,5 @@
   sept = where(mm EQ 9, cnt)
   Ifra_sept_1 = {arr:1./float(cnt) * total(Ifra_1.arr[*, *, temporary(sept)], 3), unit:Ifra_1.unit}
-  undefine, Ifra_1
+  ;undefine, Ifra_1
 ;
   IF std_file2_I NE std_file1_I THEN BEGIN
@@ -189,5 +194,5 @@
     sept = where(mm EQ 9, cnt)
     Ifra_sept_2 = {arr:1./float(cnt) * total(Ifra_2.arr[*, *, temporary(sept)], 3), unit:Ifra_2.unit}
-    undefine, Ifra_2
+  ;  undefine, Ifra_2
   ENDIF ELSE BEGIN 
     Ifra_march_2 = {arr:-1}
@@ -323,4 +328,10 @@
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceFrac, Ifra_sept_1, Ifra_sept_2, /ANT, /SEPT, _extra = ex
 
+;  cnt = cnt+1   &   blabla = 'Arctic Ice Extend: '
+;  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceExt, Ifra_1, Ifra_2, masknp, /ARC,  _extra = ex
+;  
+;  cnt = cnt+1   &   blabla = 'Antarctic Ice Extend: '
+;  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceExt, Ifra_1, Ifra_2, masknp, /ANT,  _extra = ex
+;
   cnt = cnt+1   &   blabla = 'Meridional stream Function: Global (no Med)'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_msf, V1, V2, SUBBASIN = 'GloNoMed', _extra = ex
Index: branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE.pro
===================================================================
--- branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE.pro	(revision 3881)
+++ branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE.pro	(revision 3888)
@@ -1,3 +1,3 @@
-pro std_ts_ICE, masknp, s_iodir_data, POSTSCRIPT = postscript, _extra = ex
+pro std_ts_ICE, masknp, s_iodir_data,  POSTSCRIPT = postscript, _extra = ex
 
   compile_opt idl2, strictarrsubs
@@ -10,31 +10,106 @@
 ; get exp2 info
   vICE2 = getenv('VAR2_ICE')   &   prefix2 = getenv('V2ICE_PREF')   &   suffix2 = getenv('V2ICE_SUFF')
+; get ice climatology info
+  std_file_ice =  isafile(getenv('FILE_ICE'), title = 'ICE Extent Climatology', iodir = std_iodir_climato)
 ;
+  time_ice = ncdf_lec( std_file_ice, VAR='time' )
+  time_ice = (time_ice - FLOOR(time_ice) ) * 12
+  time_ice = round(time_ice) ; arrondir a intero + vicino
+  t1 = where(time_ice eq 0)
+  t1 = t1[0] ;  gennaio
+  t2 = where(time_ice eq 11, count)
+  t2 = t2[count-1] ; ultimo giorno di dicembre
+  nyear = (t2-t1+1)/12
+  vICE_ext_NH = ncdf_lec(std_file_ice, VAR=getenv('VAR_ICE_EXT_NH') )
+  vICE_ext_NH = vICE_ext_NH[t1:t2]
+  vICE_ext_NH = reform(vICE_ext_NH,12,nyear); putin 2d array
+  vICE_ext_NH = total(vICE_ext_NH,2)/nyear ; faccio il totale sulla seconda dimensione (gli anni)
+; 
+  vICE_ext_SH = ncdf_lec(std_file_ice, VAR=getenv('VAR_ICE_EXT_SH') )
+  vICE_ext_SH = vICE_ext_SH[t1:t2]
+  vICE_ext_SH = reform(vICE_ext_SH,12,nyear); putin 2d array
+  vICE_ext_SH = total(vICE_ext_SH,2)/nyear ; faccio il totale sulla seconda dimensione (gli anni)
+;
+  vICE_area_NH = ncdf_lec(std_file_ice, VAR=getenv('VAR_ICE_area_NH') )
+  vICE_area_NH = vICE_area_NH[t1:t2]
+  vICE_area_NH = reform(vICE_area_NH,12,nyear); putin 2d array
+  vICE_area_NH = total(vICE_area_NH,2)/nyear ; faccio il totale sulla seconda dimensione (gli anni)
+;
+  vICE_area_SH = ncdf_lec(std_file_ice, VAR=getenv('VAR_ICE_area_SH') )
+  vICE_area_SH = vICE_area_SH[t1:t2]
+  vICE_area_SH = reform(vICE_area_SH,12,nyear); putin 2d array
+  vICE_area_SH = total(vICE_area_SH,2)/nyear ; faccio il totale sulla seconda dimensione (gli anni)
+;  
   cdti3 = string(cnt, format = '(i3.3)')
   print, cdti3 + ') ' + blabla
-  filename = cdti3 + '_ts_AMOC_'+prefix
+  filename = cdti3 + '_ts_ICE_'+prefix
   if prefix NE prefix2 then filename = filename + '_'+prefix2
-  if KEYWORD_SET(postscript) then openps, filename+'_1.ps', portrait = 1
+  if KEYWORD_SET(postscript) then openps, filename+'.ps', portrait = 1
 ;
   d1_d2 = '('+strtrim(date1, 1)+' - '+strtrim(date2, 1)+')'
 ;
   iodir = std_iodir_data
-
+  ; ICE Extent and Ice Extent minus 15% in NORTH Hemisphere
   domdef, 0, jpi-1, 30, 90, /xindex
-  ICE_N = rseries_ncdf(vICE1, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec, direc = 'xy', /integration, mask2d = masknp)
-  ICE_N.arr = ICE_N.arr * 1.e-12   &   ICE_N.unit = '10^12 m^2'
-  domdef, 0, jpi-1, -90, -30, /xindex
-  ICE_S = rseries_ncdf(vICE1, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec, direc = 'xy', /integration, mask2d = masknp)
-  ICE_S.arr = ICE_S.arr * 1.e-12   &   ICE_S.unit = '10^12 m^2'
-
-  title = prefix+' '+d1_d2+'!C'+'Global Annual Mean Ice Area (North. Hemisp.)'
-  pltt, ICE_N, 't', 0., 15., date1, date2, /REMPLI, /PORTRAIT $
+  ICE_N = rseries_ncdf(vICE1, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec)
+  ICE_N = grossemoyenne(ICE_N.arr, 'xy', /integration, mask2d = masknp)
+  if jpt mod 12 ne 0 then stop
+  nyr=jpt/12.
+  ice_N = reform(ice_n, 12,nyr)
+  ice_n = total(ice_n,2)/nyr
+  ICE_N = {arr:ICE_N * 1.e-12, unit : '10^12 m^2'}
+  ; extend di ghiaccio meno il 15%
+  ICE_N_15 = rseries_ncdf(vICE1, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec)
+  msk = ICE_N_15.arr gt 0.15 ; remove 0.15% for observations
+  ICE_N_15 = grossemoyenne( msk, 'xy', /integration, mask2d = masknp)
+  if jpt mod 12 ne 0 then stop
+  nyr=jpt/12.
+  ice_N_15 = reform(ice_n_15, 12,nyr)
+  ice_n_15 = total(ice_n_15,2)/nyr
+  ICE_N_15 = {arr:ICE_N_15 * 1.e-12, unit : '10^12 m^2'}
+  ;
+  ;ICE Extent and Ice Extent minus 15% in NORTH Hemisphere
+  domdef, 0, jpi-1, -90, -30, /xindex 
+  ICE_S = rseries_ncdf(vICE1, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec)
+  ICE_S = grossemoyenne(ICE_S.arr, 'xy', /integration, mask2d = masknp)
+  if jpt mod 12 ne 0 then stop
+  nyr=jpt/12.
+  ice_S = reform(ice_S, 12,nyr)
+  ice_S = total(ice_S,2)/nyr
+  ICE_S = {arr:ICE_S * 1.e-12, unit : '10^12 m^2'}
+  ;
+  ;extend di ghiaccio meno il 15%
+  ICE_S_15 = rseries_ncdf(vICE1, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec)
+  msk = ICE_S_15.arr gt 0.15 ; remove 0.15% for observations
+  ICE_S_15 = grossemoyenne(msk, 'xy', /integration, mask2d = masknp)
+  if jpt mod 12 ne 0 then stop
+  nyr=jpt/12.
+  ice_S_15 = reform(ice_S_15, 12,nyr)
+  ice_S_15 = total(ice_S_15,2)/nyr
+  ICE_S_15 = {arr:ICE_S_15 * 1.e-12, unit : '10^12 m^2'}
+  ;
+  title = prefix+' '+d1_d2+'!C'+'Global Annual Mean Ice Area (North. Hemisp.) (Black SOLID simulation) and Extend minus 15% (Blue SOLID simulation)'+'!C'+'Observation (dashed)'
+  jpt=12
+  time=julday(1,15,1900)+30*lindgen(12)
+  pltt, ICE_N, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT,MIN = 4., MAX = 16. $
         , small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-  
-  title = prefix+' '+d1_d2+'!C'+'Global Annual Mean Ice Area (South. Hemisp.)'
-  pltt, ICE_S, 't', 0., 15., date1, date2, /REMPLI, /NOERASE $
+  pltt, ICE_N_15, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT $ ; linee tratteggiate LINESTYLE=2  $
+        , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex 
+  pltt,  vICE_area_NH, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ ; linee tratteggiate  $
+         , /ov1d, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
+  pltt,  vICE_ext_NH, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ ; linee tratteggiate  $
+        , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
+;;;DA RIMETTERE? return 
+  title = prefix+' '+d1_d2+' - '+'Global Annual Mean Ice Area (South. Hemisp.) (Black) and Extend minus 15% (Blue)'+'!C'+'Observation (dashed)'
+  pltt, ICE_S, 't', 0., 15.,19000101 ,19001231 , /REMPLI, /NOERASE , MIN = 0., MAX = 20. $
         , small = [1, 2, 2], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-  
-  htmltxt = [ htmltxt, '<hr>'+blabla, '<br><img width="80%" src='+filename+'_1.png  />  ' ]
+  pltt, ICE_S_15, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT $ ; linee tratteggiate LINESTYLE=2  $
+        , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex 
+  pltt,  vICE_area_SH, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ ; linee tratteggiate  $
+         , /ov1d, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
+  pltt,  vICE_ext_SH, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ ; linee tratteggiate  $
+        , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
+;;return
+  htmltxt = [ htmltxt, '<hr>'+blabla, '<br><img width="80%" src='+filename+'.png  />  ' ]
   if KEYWORD_SET(postscript) then closeps
 
@@ -45,22 +120,58 @@
     tsave = time
     domdef, 0, jpi-1, 30, 90, /xindex
-    ICE_N2 = rseries_ncdf(vICE2, date1_2, date2_2, prefix2, suffix2, FIRSTONLY = 1 - allrec, direc = 'xy', /integration, mask2d = masknp)
-    ICE_N2.arr = ICE_N2.arr * 1.e-12   &   ICE_N2.unit = '10^12 m^2'
-    domdef, 0, jpi-1, -90, -30, /xindex
-    ICE_S2 = rseries_ncdf(vICE2, date1_2, date2_2, prefix2, suffix2, FIRSTONLY = 1 - allrec, direc = 'xy', /integration, mask2d = masknp)
-    ICE_S2.arr = ICE_S2.arr * 1.e-12   &   ICE_S2.unit = '10^12 m^2'
+    ICE_N2 = rseries_ncdf(vICE2, date1_2, date2_2, prefix2, suffix2, FIRSTONLY = 1 - allrec)
+    ICE_N2 = grossemoyenne(ICE_N2.arr, 'xy', /integration, mask2d = masknp)
+    if jpt mod 12 ne 0 then stop
+    nyr=jpt/12.
+    ICE_N2 = reform(ICE_N2, 12,nyr)
+    ICE_N2 = total(ICE_N2,2)/nyr
+    ICE_N2 = {arr:ICE_N2 * 1.e-12, unit : '10^12 m^2'}
+    ; extend di ghiaccio meno il 15%
+    ICE_N2_15 = rseries_ncdf(vICE2, date1_2, date2_2, prefix_2, suffix_2, FIRSTONLY = 1 - allrec)
+    msk = ICE_N2_15.arr gt 0.15  ; remove 0.15% for observations
+    ICE_N2_15 = grossemoyenne( msk, 'xy', /integration, mask2d = masknp)
+    if jpt mod 12 ne 0 then stop
+    nyr=jpt/12.
+    ICE_N2_15 = reform(ICE_N2_15, 12,nyr)
+    ICE_N2_15 = total(ICE_N2_15,2)/nyr
+    ICE_N2_15 = {arr:ICE_N2_15 * 1.e-12, unit : '10^12 m^2'}
+     ;ICE Extent and Ice Extent minus 15% in NORTH Hemisphere
+    domdef, 0, jpi-1, -90, -30, /xindex 
+    ICE_S2 = rseries_ncdf(vICE2, date1_2, date2_2, prefix_2, suffix_2, FIRSTONLY = 1 - allrec)
+    ICE_S2 = grossemoyenne(ICE_S2.arr, 'xy', /integration, mask2d = masknp)
+    if jpt mod 12 ne 0 then stop
+    nyr=jpt/12.
+    ICE_S2 = reform(ICE_S2, 12,nyr)
+    ICE_S2 = total(ICE_S2,2)/nyr
+    ICE_S2 = {arr:ICE_S2 * 1.e-12, unit : '10^12 m^2'}
+    ;
+    ;extend di ghiaccio meno il 15%
+    ICE_S2_15 = rseries_ncdf(vICE2, date1_2, date2_2, prefix_2, suffix_2, FIRSTONLY = 1 - allrec)
+    msk = ICE_S2_15.arr gt 0.15  ; remove 0.15% for observations
+    ICE_S2_15 = grossemoyenne(msk, 'xy', /integration, mask2d = masknp)
+    if jpt mod 12 ne 0 then stop
+    nyr=jpt/12.
+    ice_S2_15 = reform(ICE_S2_15, 12,nyr)
+    ice_S2_15 = total(ICE_S2_15,2)/nyr
+    ICE_S2_15 = {arr:ICE_S2_15 * 1.e-12, unit : '10^12 m^2'}
+  ;
     time = tsave   &   IF n_elements(time) NE jpt THEN stop
 
-    if KEYWORD_SET(postscript) then openps, filename+'_2.ps', portrait = 1
+    if KEYWORD_SET(postscript) then openps, filename+'.ps', portrait = 1
 
-    title = prefix+' '+d1_d2+' - '+prefix2+' '+d1_d2_2+'!C'+'Global Annual Mean Ice Area (North. Hemisp.)'
+    title = prefix+' '+d1_d2+' - '+prefix2+' '+d1_d2_2+'!C'+'Global Annual Mean Ice Area (North. Hemisp.) (Red SOLID simulation)  and Extend minus 15% (Blue SOLID simulation)'
     pltt, ICE_N.arr - ICE_N2.arr, 't', -2., 2., date1, date2, /REMPLI, /PORTRAIT, window = 2 $
           , COLOR = 250, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
+    pltt, ICE_N_15.arr -  ICE_N2_15.arr , 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT $ ; linee tratteggiate LINESTYLE=2  $
+      , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
     
-    title = prefix+' '+d1_d2+' - '+prefix2+' '+d1_d2_2+'!C'+'Global Annual Mean Ice Area (South. Hemisp.)'
+    title = prefix+' '+d1_d2+' - '+prefix2+' '+d1_d2_2+'!C'+'Global Annual Mean Ice Area (South. Hemisp.) (Red SOLID simulation)  and Extend minus 15% (Blue SOLID simulation)'
     pltt, ICE_S.arr - ICE_S2.arr, 't', -2., 2., date1, date2, /REMPLI, /NOERASE $
           , COLOR = 250, small = [1, 2, 2], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
+    pltt, ICE_S_15.arr -  ICE_S2_15.arr , 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT $ ; linee tratteggiate LINESTYLE=2  $
+      , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
+    
 
-    htmltxt = [ htmltxt, '<hr>'+blabla, '<br><img width="80%" src='+filename+'_2.png  />  ' ]
+    htmltxt = [ htmltxt, '<hr>'+blabla, '<br><img width="80%" src='+filename+'.png  />  ' ]
     if KEYWORD_SET(postscript) then closeps
 
Index: branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_all.pro
===================================================================
--- branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_all.pro	(revision 3881)
+++ branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_all.pro	(revision 3888)
@@ -62,7 +62,9 @@
   IF doplot EQ cnt OR doplot EQ 0 THEN std_ts_AMOC, masknp, POSTSCRIPT = postscript, _extra = ex
 ;
-  cnt = cnt+1   &   blabla = 'Sea-Ice cover'
+  cnt = cnt+1   &   blabla = 'Sea-Ice cover and Extent'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_ts_ICE, masknp, POSTSCRIPT = postscript, _extra = ex
-
+;
+;
+  
   IF n_elements(htmltxt) GT 1 THEN putfile, psdir+'std_ts_html_body.txt', htmltxt[1:*]
 
Index: branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh_example1
===================================================================
--- branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh_example1	(revision 3881)
+++ branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh_example1	(revision 3888)
@@ -48,5 +48,5 @@
 READ_ONLY_FIRST_RECORD=0   # if 0 then read all records in files else read only the first reacord in each file
 #
-DATE1=10101   ;   DATE2=20001231
+DATE1=10101   ;   DATE2=101231
 #
 VAR1_T=thetao     ;   V1T_PREF=tmx_2000     ;   V1T_SUFF=_1Y_grid_T.nc
@@ -57,9 +57,9 @@
 VAR1_U=uoce_eff   ;   V1U_PREF=tmx_2000     ;   V1U_SUFF=_1Y_grid_U.nc
 VAR1_V=voce_eff   ;   V1V_PREF=tmx_2000     ;   V1V_SUFF=_1Y_grid_V.nc
-VAR1_ICE=sic      ;   V1ICE_PREF=tmx_2000   ;   V1ICE_SUFF=_1Y_icemod.nc
+VAR1_ICE=sic      ;   V1ICE_PREF=tmx_2000   ;   V1ICE_SUFF=_1M_icemod.nc
 #
 #===================== EXP2 =====================
 #
-DATE1_2=10101   ;   DATE2_2=20001231
+DATE1_2=10101   ;   DATE2_2=101231
 #
 VAR2_T=thetao     ;   V2T_PREF=core2000     ;   V2T_SUFF=_1Y_grid_T.nc
@@ -70,5 +70,5 @@
 VAR2_U=uoce_eff   ;   V2U_PREF=core2000     ;   V2U_SUFF=_1Y_grid_U.nc
 VAR2_V=voce_eff   ;   V2V_PREF=core2000     ;   V2V_SUFF=_1Y_grid_V.nc
-VAR2_ICE=sic      ;   V2ICE_PREF=core2000   ;   V2ICE_SUFF=_1Y_icemod.nc
+VAR2_ICE=sic      ;   V2ICE_PREF=core2000   ;   V2ICE_SUFF=_1M_icemod.nc
 #
 ######################### Export Variables ###############################
Index: branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh_example2
===================================================================
--- branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh_example2	(revision 3881)
+++ branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh_example2	(revision 3888)
@@ -57,5 +57,5 @@
 VAR1_U=uocetr_eff ;   V1U_PREF=tag33     ;   V1U_SUFF=_1Y_grid_U.nc
 VAR1_V=vocetr_eff ;   V1V_PREF=tag33     ;   V1V_SUFF=_1Y_grid_V.nc
-VAR1_ICE=sic      ;   V1ICE_PREF=tag33   ;   V1ICE_SUFF=_1Y_icemod.nc
+VAR1_ICE=sic      ;   V1ICE_PREF=tag33   ;   V1ICE_SUFF=_1M_icemod.nc
 #
 #===================== EXP2 =====================
@@ -70,5 +70,5 @@
 VAR2_U=uocetr_eff ;   V2U_PREF=trunk331     ;   V2U_SUFF=_1Y_grid_U.nc
 VAR2_V=vocetr_eff ;   V2V_PREF=trunk331     ;   V2V_SUFF=_1Y_grid_V.nc
-VAR2_ICE=sic      ;   V2ICE_PREF=trunk331   ;   V2ICE_SUFF=_1Y_icemod.nc
+VAR2_ICE=sic      ;   V2ICE_PREF=trunk331   ;   V2ICE_SUFF=_1M_icemod.nc
 #
 ######################### Export Variables ###############################