Index: branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE.pro
===================================================================
--- branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE.pro	(revision 3888)
+++ branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE.pro	(revision 3889)
@@ -15,29 +15,29 @@
   time_ice = ncdf_lec( std_file_ice, VAR='time' )
   time_ice = (time_ice - FLOOR(time_ice) ) * 12
-  time_ice = round(time_ice) ; arrondir a intero + vicino
+  time_ice = round(time_ice) ; round to nearest integer 
   t1 = where(time_ice eq 0)
-  t1 = t1[0] ;  gennaio
+  t1 = t1[0] ;  jannuary
   t2 = where(time_ice eq 11, count)
-  t2 = t2[count-1] ; ultimo giorno di dicembre
+  t2 = t2[count-1] ; last day of december
   nyear = (t2-t1+1)/12
   vICE_ext_NH = ncdf_lec(std_file_ice, VAR=getenv('VAR_ICE_EXT_NH') )
   vICE_ext_NH = vICE_ext_NH[t1:t2]
-  vICE_ext_NH = reform(vICE_ext_NH,12,nyear); putin 2d array
-  vICE_ext_NH = total(vICE_ext_NH,2)/nyear ; faccio il totale sulla seconda dimensione (gli anni)
+  vICE_ext_NH = reform(vICE_ext_NH,12,nyear); put in 2D array
+  vICE_ext_NH = total(vICE_ext_NH,2)/nyear ;  total over 2th dimension (i.e.years)
 ; 
   vICE_ext_SH = ncdf_lec(std_file_ice, VAR=getenv('VAR_ICE_EXT_SH') )
   vICE_ext_SH = vICE_ext_SH[t1:t2]
-  vICE_ext_SH = reform(vICE_ext_SH,12,nyear); putin 2d array
-  vICE_ext_SH = total(vICE_ext_SH,2)/nyear ; faccio il totale sulla seconda dimensione (gli anni)
+  vICE_ext_SH = reform(vICE_ext_SH,12,nyear); put in 2D array
+  vICE_ext_SH = total(vICE_ext_SH,2)/nyear ; total over 2th dimension (i.e.years)
 ;
   vICE_area_NH = ncdf_lec(std_file_ice, VAR=getenv('VAR_ICE_area_NH') )
   vICE_area_NH = vICE_area_NH[t1:t2]
-  vICE_area_NH = reform(vICE_area_NH,12,nyear); putin 2d array
-  vICE_area_NH = total(vICE_area_NH,2)/nyear ; faccio il totale sulla seconda dimensione (gli anni)
+  vICE_area_NH = reform(vICE_area_NH,12,nyear); put in 2D array
+  vICE_area_NH = total(vICE_area_NH,2)/nyear ;  total over 2th dimension (i.e.years)
 ;
   vICE_area_SH = ncdf_lec(std_file_ice, VAR=getenv('VAR_ICE_area_SH') )
   vICE_area_SH = vICE_area_SH[t1:t2]
-  vICE_area_SH = reform(vICE_area_SH,12,nyear); putin 2d array
-  vICE_area_SH = total(vICE_area_SH,2)/nyear ; faccio il totale sulla seconda dimensione (gli anni)
+  vICE_area_SH = reform(vICE_area_SH,12,nyear); put in 2D array
+  vICE_area_SH = total(vICE_area_SH,2)/nyear ; total over 2th dimension (i.e.years)
 ;  
   cdti3 = string(cnt, format = '(i3.3)')
@@ -50,5 +50,5 @@
 ;
   iodir = std_iodir_data
-  ; ICE Extent and Ice Extent minus 15% in NORTH Hemisphere
+  ; ICE Extent in NORTH Hemisphere
   domdef, 0, jpi-1, 30, 90, /xindex
   ICE_N = rseries_ncdf(vICE1, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec)
@@ -59,5 +59,5 @@
   ice_n = total(ice_n,2)/nyr
   ICE_N = {arr:ICE_N * 1.e-12, unit : '10^12 m^2'}
-  ; extend di ghiaccio meno il 15%
+  ; ICE EXTENT minus 15% in NORTH Hemisphere
   ICE_N_15 = rseries_ncdf(vICE1, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec)
   msk = ICE_N_15.arr gt 0.15 ; remove 0.15% for observations
@@ -69,5 +69,5 @@
   ICE_N_15 = {arr:ICE_N_15 * 1.e-12, unit : '10^12 m^2'}
   ;
-  ;ICE Extent and Ice Extent minus 15% in NORTH Hemisphere
+  ;ICE Extent in SOUTH Hemisphere
   domdef, 0, jpi-1, -90, -30, /xindex 
   ICE_S = rseries_ncdf(vICE1, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec)
@@ -78,6 +78,5 @@
   ice_S = total(ice_S,2)/nyr
   ICE_S = {arr:ICE_S * 1.e-12, unit : '10^12 m^2'}
-  ;
-  ;extend di ghiaccio meno il 15%
+  ; ICE EXTENT minus 15% in SOUTH Hemisphere
   ICE_S_15 = rseries_ncdf(vICE1, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec)
   msk = ICE_S_15.arr gt 0.15 ; remove 0.15% for observations
@@ -89,26 +88,26 @@
   ICE_S_15 = {arr:ICE_S_15 * 1.e-12, unit : '10^12 m^2'}
   ;
-  title = prefix+' '+d1_d2+'!C'+'Global Annual Mean Ice Area (North. Hemisp.) (Black SOLID simulation) and Extend minus 15% (Blue SOLID simulation)'+'!C'+'Observation (dashed)'
+  title = prefix+' '+d1_d2+'!C'+'Global Annual Mean Ice Area (North. Hemisp.) (Black SOLID simulation)'+'!C'+ ' and Extend minus 15% (Blue SOLID simulation)'+'!C'+'Observation (dashed)'
   jpt=12
   time=julday(1,15,1900)+30*lindgen(12)
   pltt, ICE_N, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT,MIN = 4., MAX = 16. $
         , small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-  pltt, ICE_N_15, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT $ ; linee tratteggiate LINESTYLE=2  $
+  pltt, ICE_N_15, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT $ ; dashed lines is LINESTYLE=2  $
         , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex 
-  pltt,  vICE_area_NH, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ ; linee tratteggiate  $
+  pltt,  vICE_area_NH, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ 
          , /ov1d, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-  pltt,  vICE_ext_NH, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ ; linee tratteggiate  $
+  pltt,  vICE_ext_NH, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ 
         , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-;;;DA RIMETTERE? return 
-  title = prefix+' '+d1_d2+' - '+'Global Annual Mean Ice Area (South. Hemisp.) (Black) and Extend minus 15% (Blue)'+'!C'+'Observation (dashed)'
+;return 
+  title = prefix+' '+d1_d2+' - '+'!C'+'Global Annual Mean Ice Area (South. Hemisp.) (Black SOLID simulation)'+'!C'+ ' and Extend minus 15% (Blue SOLID simulation)'+'!C'+'Observation (dashed)'
   pltt, ICE_S, 't', 0., 15.,19000101 ,19001231 , /REMPLI, /NOERASE , MIN = 0., MAX = 20. $
         , small = [1, 2, 2], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-  pltt, ICE_S_15, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT $ ; linee tratteggiate LINESTYLE=2  $
+  pltt, ICE_S_15, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT $ 
         , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex 
-  pltt,  vICE_area_SH, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ ; linee tratteggiate  $
+  pltt,  vICE_area_SH, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ 
          , /ov1d, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-  pltt,  vICE_ext_SH, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ ; linee tratteggiate  $
+  pltt,  vICE_ext_SH, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ 
         , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-;;return
+;return
   htmltxt = [ htmltxt, '<hr>'+blabla, '<br><img width="80%" src='+filename+'.png  />  ' ]
   if KEYWORD_SET(postscript) then closeps
@@ -117,7 +116,7 @@
 
     d1_d2_2 = '('+strtrim(date1_2, 1)+' - '+strtrim(date2_2, 1)+')'
-
     tsave = time
     domdef, 0, jpi-1, 30, 90, /xindex
+    ;ICE Extent in NORTH Hemisphere
     ICE_N2 = rseries_ncdf(vICE2, date1_2, date2_2, prefix2, suffix2, FIRSTONLY = 1 - allrec)
     ICE_N2 = grossemoyenne(ICE_N2.arr, 'xy', /integration, mask2d = masknp)
@@ -127,5 +126,5 @@
     ICE_N2 = total(ICE_N2,2)/nyr
     ICE_N2 = {arr:ICE_N2 * 1.e-12, unit : '10^12 m^2'}
-    ; extend di ghiaccio meno il 15%
+    ;ICE Extent minus 15% in NORTH Hemisphere
     ICE_N2_15 = rseries_ncdf(vICE2, date1_2, date2_2, prefix_2, suffix_2, FIRSTONLY = 1 - allrec)
     msk = ICE_N2_15.arr gt 0.15  ; remove 0.15% for observations
@@ -136,5 +135,5 @@
     ICE_N2_15 = total(ICE_N2_15,2)/nyr
     ICE_N2_15 = {arr:ICE_N2_15 * 1.e-12, unit : '10^12 m^2'}
-     ;ICE Extent and Ice Extent minus 15% in NORTH Hemisphere
+    ;ICE Extent in SOUTH Hemisphere
     domdef, 0, jpi-1, -90, -30, /xindex 
     ICE_S2 = rseries_ncdf(vICE2, date1_2, date2_2, prefix_2, suffix_2, FIRSTONLY = 1 - allrec)
@@ -145,6 +144,5 @@
     ICE_S2 = total(ICE_S2,2)/nyr
     ICE_S2 = {arr:ICE_S2 * 1.e-12, unit : '10^12 m^2'}
-    ;
-    ;extend di ghiaccio meno il 15%
+    ;ICE Extent minus 15% in SOUTH Hemisphere
     ICE_S2_15 = rseries_ncdf(vICE2, date1_2, date2_2, prefix_2, suffix_2, FIRSTONLY = 1 - allrec)
     msk = ICE_S2_15.arr gt 0.15  ; remove 0.15% for observations