Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/ice.F90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/ice.F90	(revision 3875)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/ice.F90	(revision 3901)
@@ -158,77 +158,77 @@
    !! * Share Module variables
    !!--------------------------------------------------------------------------
-   INTEGER , PUBLIC ::   nstart      !: iteration number of the begining of the run 
-   INTEGER , PUBLIC ::   nlast       !: iteration number of the end of the run 
-   INTEGER , PUBLIC ::   nitrun      !: number of iteration
-   INTEGER , PUBLIC ::   numit       !: iteration number
-   REAL(wp), PUBLIC ::   rdt_ice     !: ice time step
-   REAL(wp), PUBLIC ::   r1_rdtice   !: = 1. / rdt_ice
-
-   !                                          !!** ice-dynamic namelist (namicedyn) **
-   INTEGER , PUBLIC ::   nbiter = 1            !: number of sub-time steps for relaxation
-   INTEGER , PUBLIC ::   nbitdr = 250          !: maximum number of iterations for relaxation
-   INTEGER , PUBLIC ::   nevp   = 400          !: number of iterations for subcycling
+   INTEGER , PUBLIC ::   nstart           !: iteration number of the begining of the run 
+   INTEGER , PUBLIC ::   nlast            !: iteration number of the end of the run 
+   INTEGER , PUBLIC ::   nitrun           !: number of iteration
+   INTEGER , PUBLIC ::   numit            !: iteration number
+   REAL(wp), PUBLIC ::   rdt_ice          !: ice time step
+   REAL(wp), PUBLIC ::   r1_rdtice        !: = 1. / rdt_ice
+
+   !                                     !!** ice-dynamic namelist (namicedyn) **
+   INTEGER , PUBLIC ::   nbiter           !: number of sub-time steps for relaxation
+   INTEGER , PUBLIC ::   nbitdr           !: maximum number of iterations for relaxation
+   INTEGER , PUBLIC ::   nevp             !: number of iterations for subcycling
    INTEGER , PUBLIC ::   nlay_i = 5            !: number of layers in the ice
 
-   !                                          !!** ice-dynamic namelist (namicedyn) **
-   REAL(wp), PUBLIC ::   epsd   = 1.0e-20_wp   !: tolerance parameter for dynamic
-   REAL(wp), PUBLIC ::   alpha  = 0.5_wp       !: coefficient for semi-implicit coriolis
-   REAL(wp), PUBLIC ::   dm     = 0.6e+03_wp   !: diffusion constant for dynamics
-   REAL(wp), PUBLIC ::   om     = 0.5_wp       !: relaxation constant
-   REAL(wp), PUBLIC ::   resl   = 5.0e-05_wp   !: maximum value for the residual of relaxation
-   REAL(wp), PUBLIC ::   cw     = 5.0e-03_wp   !: drag coefficient for oceanic stress
-   REAL(wp), PUBLIC ::   angvg  = 0._wp        !: turning angle for oceanic stress
-   REAL(wp), PUBLIC ::   pstar  = 1.0e+04_wp   !: determines ice strength (N/M), Hibler JPO79
-   REAL(wp), PUBLIC ::   c_rhg  = 20._wp       !: determines changes in ice strength
-   REAL(wp), PUBLIC ::   etamn  = 0.0e+07_wp   !: minimun value for viscosity : has to be 0
-   REAL(wp), PUBLIC ::   creepl = 2.0e-08_wp   !: creep limit : has to be under 1.0e-9
-   REAL(wp), PUBLIC ::   ecc    = 2._wp        !: eccentricity of the elliptical yield curve
-   REAL(wp), PUBLIC ::   ahi0   = 350._wp      !: sea-ice hor. eddy diffusivity coeff. (m2/s)
-   REAL(wp), PUBLIC ::   telast = 2880._wp     !: timescale for elastic waves (s) !SB
-   REAL(wp), PUBLIC ::   alphaevp = 1._wp      !: coeficient of the internal stresses !SB
+   !                                     !!** ice-dynamic namelist (namicedyn) **
+   REAL(wp), PUBLIC ::   epsd             !: tolerance parameter for dynamic
+   REAL(wp), PUBLIC ::   alpha            !: coefficient for semi-implicit coriolis
+   REAL(wp), PUBLIC ::   dm               !: diffusion constant for dynamics
+   REAL(wp), PUBLIC ::   om               !: relaxation constant
+   REAL(wp), PUBLIC ::   resl             !: maximum value for the residual of relaxation
+   REAL(wp), PUBLIC ::   cw               !: drag coefficient for oceanic stress
+   REAL(wp), PUBLIC ::   angvg            !: turning angle for oceanic stress
+   REAL(wp), PUBLIC ::   pstar            !: determines ice strength (N/M), Hibler JPO79
+   REAL(wp), PUBLIC ::   c_rhg            !: determines changes in ice strength
+   REAL(wp), PUBLIC ::   etamn            !: minimun value for viscosity : has to be 0
+   REAL(wp), PUBLIC ::   creepl           !: creep limit : has to be under 1.0e-9
+   REAL(wp), PUBLIC ::   ecc              !: eccentricity of the elliptical yield curve
+   REAL(wp), PUBLIC ::   ahi0             !: sea-ice hor. eddy diffusivity coeff. (m2/s)
+   REAL(wp), PUBLIC ::   telast           !: timescale for elastic waves (s) !SB
+   REAL(wp), PUBLIC ::   alphaevp         !: coeficient of the internal stresses !SB
    REAL(wp), PUBLIC ::   unit_fac = 1.e+09_wp  !: conversion factor for ice / snow enthalpy
 
-   !                                              !!** ice-salinity namelist (namicesal) **
-   REAL(wp), PUBLIC ::   s_i_max  = 20.0_wp        !: maximum ice salinity [PSU]
-   REAL(wp), PUBLIC ::   s_i_min  =  0.1_wp        !: minimum ice salinity [PSU]
-   REAL(wp), PUBLIC ::   s_i_0    =  3.5_wp        !: 1st sal. value for the computation of sal .prof. [PSU]
-   REAL(wp), PUBLIC ::   s_i_1    =  4.5_wp        !: 2nd sal. value for the computation of sal .prof. [PSU]
-   REAL(wp), PUBLIC ::   sal_G    =  5.0_wp        !: restoring salinity for gravity drainage [PSU]
-   REAL(wp), PUBLIC ::   sal_F    =  2.5_wp        !: restoring salinity for flushing [PSU]
-   REAL(wp), PUBLIC ::   time_G   =  1.728e+06_wp  !: restoring time constant for gravity drainage (= 20 days) [s]
-   REAL(wp), PUBLIC ::   time_F   =  8.640e+05_wp  !: restoring time constant for gravity drainage (= 10 days) [s]
-   REAL(wp), PUBLIC ::   bulk_sal =  4.0_wp        !: bulk salinity (ppt) in case of constant salinity
-
-   !                                              !!** ice-salinity namelist (namicesal) **
-   INTEGER , PUBLIC ::   num_sal     = 1           !: salinity configuration used in the model
-   !                                               ! 1 - constant salinity in both space and time
-   !                                               ! 2 - prognostic salinity (s(z,t))
-   !                                               ! 3 - salinity profile, constant in time
+   !                                     !!** ice-salinity namelist (namicesal) **
+   REAL(wp), PUBLIC ::   s_i_max          !: maximum ice salinity [PSU]
+   REAL(wp), PUBLIC ::   s_i_min          !: minimum ice salinity [PSU]
+   REAL(wp), PUBLIC ::   s_i_0            !: 1st sal. value for the computation of sal .prof. [PSU]
+   REAL(wp), PUBLIC ::   s_i_1            !: 2nd sal. value for the computation of sal .prof. [PSU]
+   REAL(wp), PUBLIC ::   sal_G            !: restoring salinity for gravity drainage [PSU]
+   REAL(wp), PUBLIC ::   sal_F            !: restoring salinity for flushing [PSU]
+   REAL(wp), PUBLIC ::   time_G           !: restoring time constant for gravity drainage (= 20 days) [s]
+   REAL(wp), PUBLIC ::   time_F           !: restoring time constant for gravity drainage (= 10 days) [s]
+   REAL(wp), PUBLIC ::   bulk_sal =       !: bulk salinity (ppt) in case of constant salinity
+
+   !                                     !!** ice-salinity namelist (namicesal) **
+   INTEGER , PUBLIC ::   num_sal          !: salinity configuration used in the model
+   !                                         ! 1 - constant salinity in both space and time
+   !                                         ! 2 - prognostic salinity (s(z,t))
+   !                                         ! 3 - salinity profile, constant in time
    INTEGER , PUBLIC ::   sal_prof    = 1           !: salinity profile or not 
-   INTEGER , PUBLIC ::   thcon_i_swi = 1           !: thermal conductivity: =1 Untersteiner (1964) ; =2 Pringle et al (2007)
-
-   !                                              !!** ice-mechanical redistribution namelist (namiceitdme)
-   REAL(wp), PUBLIC ::   Cs        = 0.25_wp       !: fraction of shearing energy contributing to ridging            
-   REAL(wp), PUBLIC ::   Cf        = 17.0_wp       !: ratio of ridging work to PE loss
-   REAL(wp), PUBLIC ::   fsnowrdg  = 0.5_wp        !: fractional snow loss to the ocean during ridging
-   REAL(wp), PUBLIC ::   fsnowrft  = 0.5_wp        !: fractional snow loss to the ocean during ridging
-   REAL(wp), PUBLIC ::   Gstar     = 0.15_wp       !: fractional area of young ice contributing to ridging
-   REAL(wp), PUBLIC ::   astar     = 0.05_wp       !: equivalent of G* for an exponential participation function
-   REAL(wp), PUBLIC ::   Hstar     = 100.0_wp      !: thickness that determines the maximal thickness of ridged ice
-   REAL(wp), PUBLIC ::   hparmeter = 0.75_wp       !: threshold thickness (m) for rafting / ridging 
-   REAL(wp), PUBLIC ::   Craft     = 5.0_wp        !: coefficient for smoothness of the hyperbolic tangent in rafting
-   REAL(wp), PUBLIC ::   ridge_por = 0.0_wp        !: initial porosity of ridges (0.3 regular value)
-   REAL(wp), PUBLIC ::   sal_max_ridge = 15.0_wp   !: maximum ridged ice salinity (ppt)
-   REAL(wp), PUBLIC ::   betas    = 1.0_wp         !: coef. for partitioning of snowfall between leads and sea ice
-   REAL(wp), PUBLIC ::   kappa_i  = 1.0_wp         !: coef. for the extinction of radiation Grenfell et al. (2006) [1/m]
-   REAL(wp), PUBLIC ::   nconv_i_thd = 50_wp       !: maximal number of iterations for heat diffusion
-   REAL(wp), PUBLIC ::   maxer_i_thd = 1.0e-4_wp   !: maximal tolerated error (C) for heat diffusion
-
-   !                                              !!** ice-mechanical redistribution namelist (namiceitdme)
-   INTEGER , PUBLIC ::   ridge_scheme_swi = 0      !: scheme used for ice ridging
-   INTEGER , PUBLIC ::   raftswi          = 1      !: rafting of ice or not                        
-   INTEGER , PUBLIC ::   partfun_swi      = 1      !: participation function: =0 Thorndike et al. (1975), =1 Lipscomb et al. (2007)
-   INTEGER , PUBLIC ::   transfun_swi     = 0      !: transfer function: =0 Hibler 1980, =1 Lipscomb et al. 2007
-   INTEGER , PUBLIC ::   brinstren_swi    = 0      !: use brine volume to diminish ice strength
+   INTEGER , PUBLIC ::   thcon_i_swi          !: thermal conductivity: =1 Untersteiner (1964) ; =2 Pringle et al (2007)
+
+   !                                     !!** ice-mechanical redistribution namelist (namiceitdme)
+   REAL(wp), PUBLIC ::   Cs               !: fraction of shearing energy contributing to ridging            
+   REAL(wp), PUBLIC ::   Cf               !: ratio of ridging work to PE loss
+   REAL(wp), PUBLIC ::   fsnowrdg         !: fractional snow loss to the ocean during ridging
+   REAL(wp), PUBLIC ::   fsnowrft         !: fractional snow loss to the ocean during ridging
+   REAL(wp), PUBLIC ::   Gstar            !: fractional area of young ice contributing to ridging
+   REAL(wp), PUBLIC ::   astar            !: equivalent of G* for an exponential participation function
+   REAL(wp), PUBLIC ::   Hstar            !: thickness that determines the maximal thickness of ridged ice
+   REAL(wp), PUBLIC ::   hparmeter        !: threshold thickness (m) for rafting / ridging 
+   REAL(wp), PUBLIC ::   Craft            !: coefficient for smoothness of the hyperbolic tangent in rafting
+   REAL(wp), PUBLIC ::   ridge_por        !: initial porosity of ridges (0.3 regular value)
+   REAL(wp), PUBLIC ::   sal_max_ridge    !: maximum ridged ice salinity (ppt)
+   REAL(wp), PUBLIC ::   betas            !: coef. for partitioning of snowfall between leads and sea ice
+   REAL(wp), PUBLIC ::   kappa_i          !: coef. for the extinction of radiation Grenfell et al. (2006) [1/m]
+   REAL(wp), PUBLIC ::   nconv_i_thd      !: maximal number of iterations for heat diffusion
+   REAL(wp), PUBLIC ::   maxer_i_thd      !: maximal tolerated error (C) for heat diffusion
+
+   !                                     !!** ice-mechanical redistribution namelist (namiceitdme)
+   INTEGER , PUBLIC ::   ridge_scheme_swi !: scheme used for ice ridging
+   INTEGER , PUBLIC ::   raftswi          !: rafting of ice or not                        
+   INTEGER , PUBLIC ::   partfun_swi      !: participation function: =0 Thorndike et al. (1975), =1 Lipscomb et al. (2007)
+   INTEGER , PUBLIC ::   transfun_swi     !: transfer function: =0 Hibler 1980, =1 Lipscomb et al. 2007
+   INTEGER , PUBLIC ::   brinstren_swi    !: use brine volume to diminish ice strength
 
    REAL(wp), PUBLIC ::   usecc2           !:  = 1.0 / ( ecc * ecc )
@@ -390,15 +390,15 @@
    !! * Ice Run
    !!--------------------------------------------------------------------------
-   !                                                                     !!: ** Namelist namicerun read in iceini **
-   CHARACTER(len=32)     , PUBLIC ::   cn_icerst_in  = "restart_ice_in"   !: suffix of ice restart name (input)
-   CHARACTER(len=32)     , PUBLIC ::   cn_icerst_out = "restart_ice"      !: suffix of ice restart name (output)
-   LOGICAL               , PUBLIC ::   ln_limdyn     = .TRUE.             !: flag for ice dynamics (T) or not (F)
-   LOGICAL               , PUBLIC ::   ln_nicep      = .TRUE.             !: flag for sea-ice points output (T) or not (F)
-   REAL(wp)              , PUBLIC ::   hsndif        = 0.e0               !: computation of temp. in snow (0) or not (9999)
-   REAL(wp)              , PUBLIC ::   hicdif        = 0.e0               !: computation of temp. in ice (0) or not (9999)
-   REAL(wp)              , PUBLIC ::   cai           = 1.40e-3            !: atmospheric drag over sea ice
-   REAL(wp)              , PUBLIC ::   cao           = 1.00e-3            !: atmospheric drag over ocean
-   REAL(wp), DIMENSION(2), PUBLIC ::   acrit  = (/ 1.e-06 , 1.e-06 /)     !: minimum fraction for leads in
-   !                                                                      !: north and south hemisphere
+   !                                                  !!: ** Namelist namicerun read in iceini **
+   CHARACTER(len=32)     , PUBLIC ::   cn_icerst_in    !: suffix of ice restart name (input)
+   CHARACTER(len=32)     , PUBLIC ::   cn_icerst_out   !: suffix of ice restart name (output)
+   LOGICAL               , PUBLIC ::   ln_limdyn       !: flag for ice dynamics (T) or not (F)
+   LOGICAL               , PUBLIC ::   ln_nicep        !: flag for sea-ice points output (T) or not (F)
+   REAL(wp)              , PUBLIC ::   hsndif          !: computation of temp. in snow (0) or not (9999)
+   REAL(wp)              , PUBLIC ::   hicdif          !: computation of temp. in ice (0) or not (9999)
+   REAL(wp)              , PUBLIC ::   cai             !: atmospheric drag over sea ice
+   REAL(wp)              , PUBLIC ::   cao             !: atmospheric drag over ocean
+   REAL(wp), DIMENSION(2), PUBLIC ::   acrit           !: minimum fraction for leads in north and south hemisphere
+   !
    !!--------------------------------------------------------------------------
    !! * Ice diagnostics
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/limdia.F90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/limdia.F90	(revision 3875)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/limdia.F90	(revision 3901)
@@ -30,6 +30,6 @@
    PUBLIC lim_dia       ! called by ice_step
 
-   INTEGER, PUBLIC  ::   ntmoy   = 1   !: instantaneous values of ice evolution or averaging ntmoy
-   INTEGER, PUBLIC  ::   ninfo   = 1   !: frequency of ouputs on file ice_evolu in case of averaging
+   INTEGER, PUBLIC  ::   ntmoy    !: instantaneous values of ice evolution or averaging ntmoy
+   INTEGER, PUBLIC  ::   ninfo    !: frequency of ouputs on file ice_evolu in case of averaging
 
    !                                              !!! Parameters for outputs to files "evolu"
@@ -38,5 +38,5 @@
    INTEGER, PARAMETER ::   jpchsep = jpchinf + 2   ! ???
 
-   INTEGER  ::   nfrinf  = 4         ! number of variables written in one line 
+   INTEGER  ::   nfrinf    ! number of variables written in one line 
    INTEGER  ::   nferme              ! last time step at which the var. are written on file
    INTEGER  ::   nvinfo              ! number of total variables 
@@ -45,5 +45,5 @@
    REAL(wp) ::   epsi06 = 1.e-6_wp   ! small number
 
-   CHARACTER(len= 8) ::   fmtinf = '1PE13.5 '   ! format of the output values  
+   CHARACTER(len= 8) ::   fmtinf     ! format of the output values  
    CHARACTER(len=30) ::   fmtw                  ! formats
    CHARACTER(len=30) ::   fmtr                  ! ???
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90	(revision 3875)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90	(revision 3901)
@@ -33,18 +33,18 @@
    PUBLIC   lim_istate      ! routine called by lim_init.F90
 
-   !                                  !!** init namelist (namiceini) **
-   REAL(wp) ::   ttest    = 2.0_wp     ! threshold water temperature for initial sea ice
-   REAL(wp) ::   hninn    = 0.5_wp     ! initial snow thickness in the north
-   REAL(wp) ::   hginn_u  = 2.5_wp     ! initial ice thickness in the north
-   REAL(wp) ::   aginn_u  = 0.7_wp     ! initial leads area in the north
-   REAL(wp) ::   hginn_d  = 5.0_wp     ! initial ice thickness in the north
-   REAL(wp) ::   aginn_d  = 0.25_wp    ! initial leads area in the north
-   REAL(wp) ::   hnins    = 0.1_wp     ! initial snow thickness in the south
-   REAL(wp) ::   hgins_u  = 1.0_wp     ! initial ice thickness in the south
-   REAL(wp) ::   agins_u  = 0.7_wp     ! initial leads area in the south
-   REAL(wp) ::   hgins_d  = 2.0_wp     ! initial ice thickness in the south
-   REAL(wp) ::   agins_d  = 0.2_wp     ! initial leads area in the south
-   REAL(wp) ::   sinn     = 6.301_wp   ! initial salinity 
-   REAL(wp) ::   sins     = 6.301_wp   !
+   !                       !!** init namelist (namiceini) **
+   REAL(wp) ::   ttest      ! threshold water temperature for initial sea ice
+   REAL(wp) ::   hninn      ! initial snow thickness in the north
+   REAL(wp) ::   hginn_u    ! initial ice thickness in the north
+   REAL(wp) ::   aginn_u    ! initial leads area in the north
+   REAL(wp) ::   hginn_d    ! initial ice thickness in the north
+   REAL(wp) ::   aginn_d    ! initial leads area in the north
+   REAL(wp) ::   hnins      ! initial snow thickness in the south
+   REAL(wp) ::   hgins_u    ! initial ice thickness in the south
+   REAL(wp) ::   agins_u    ! initial leads area in the south
+   REAL(wp) ::   hgins_d    ! initial ice thickness in the south
+   REAL(wp) ::   agins_d    ! initial leads area in the south
+   REAL(wp) ::   sinn       ! initial salinity 
+   REAL(wp) ::   sins       !
 
    !!----------------------------------------------------------------------
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/thd_ice.F90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/thd_ice.F90	(revision 3875)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/thd_ice.F90	(revision 3901)
@@ -18,25 +18,25 @@
    !! * Share Module variables
    !!---------------------------
-   !                                         !!! ** ice-thermo namelist (namicethd) **
-   REAL(wp), PUBLIC ::   hmelt   = -0.15     !: maximum melting at the bottom; active only for one category
-   REAL(wp), PUBLIC ::   hicmin  = 0.2       !: (REMOVE)
-   REAL(wp), PUBLIC ::   hiclim  = 0.05      !: minimum ice thickness
-   REAL(wp), PUBLIC ::   amax    = 0.999     !: maximum lead fraction
-   REAL(wp), PUBLIC ::   sbeta   = 1.0       !: numerical scheme for diffusion in ice  (REMOVE)
-   REAL(wp), PUBLIC ::   parlat  = 0.0       !: (REMOVE)
-   REAL(wp), PUBLIC ::   hakspl  = 0.5       !: (REMOVE)
-   REAL(wp), PUBLIC ::   hibspl  = 0.5       !: (REMOVE)
-   REAL(wp), PUBLIC ::   exld    = 2.0       !: (REMOVE)
-   REAL(wp), PUBLIC ::   hakdif  = 1.0       !: (REMOVE)
-   REAL(wp), PUBLIC ::   thth    = 0.2       !: (REMOVE)
-   REAL(wp), PUBLIC ::   hnzst   = 0.1       !: thick. of the surf. layer in temp. comp.
-   REAL(wp), PUBLIC ::   parsub  = 1.0       !: switch for snow sublimation or not
-   REAL(wp), PUBLIC ::   alphs   = 1.0       !: coef. for snow density when snow-ice formation
-   REAL(wp), PUBLIC ::   fraz_swi= 1.0       !: use of frazil ice collection in function of wind (1.0) or not (0.0)
-   REAL(wp), PUBLIC ::   maxfrazb= 0.7       !: maximum portion of frazil ice collecting at the ice bottom
-   REAL(wp), PUBLIC ::   vfrazb  = 0.41667   !: threshold drift speed for collection of bottom frazil ice
-   REAL(wp), PUBLIC ::   Cfrazb  = 5.0       !: squeezing coefficient for collection of bottom frazil ice
-
-   REAL(wp), PUBLIC, DIMENSION(2) ::   hiccrit = (/0.3,0.3/)  !: ice th. for lateral accretion in the NH (SH) (m)
+   !                               !!! ** ice-thermo namelist (namicethd) **
+   REAL(wp), PUBLIC ::   hmelt       !: maximum melting at the bottom; active only for one category
+   REAL(wp), PUBLIC ::   hicmin      !: (REMOVE)
+   REAL(wp), PUBLIC ::   hiclim      !: minimum ice thickness
+   REAL(wp), PUBLIC ::   amax        !: maximum lead fraction
+   REAL(wp), PUBLIC ::   sbeta       !: numerical scheme for diffusion in ice  (REMOVE)
+   REAL(wp), PUBLIC ::   parlat      !: (REMOVE)
+   REAL(wp), PUBLIC ::   hakspl      !: (REMOVE)
+   REAL(wp), PUBLIC ::   hibspl      !: (REMOVE)
+   REAL(wp), PUBLIC ::   exld        !: (REMOVE)
+   REAL(wp), PUBLIC ::   hakdif      !: (REMOVE)
+   REAL(wp), PUBLIC ::   thth        !: (REMOVE)
+   REAL(wp), PUBLIC ::   hnzst       !: thick. of the surf. layer in temp. comp.
+   REAL(wp), PUBLIC ::   parsub      !: switch for snow sublimation or not
+   REAL(wp), PUBLIC ::   alphs       !: coef. for snow density when snow-ice formation
+   REAL(wp), PUBLIC ::   fraz_swi    !: use of frazil ice collection in function of wind (1.0) or not (0.0)
+   REAL(wp), PUBLIC ::   maxfrazb    !: maximum portion of frazil ice collecting at the ice bottom
+   REAL(wp), PUBLIC ::   vfrazb      !: threshold drift speed for collection of bottom frazil ice
+   REAL(wp), PUBLIC ::   Cfrazb      !: squeezing coefficient for collection of bottom frazil ice
+
+   REAL(wp), PUBLIC, DIMENSION(2) ::   hiccrit   !: ice th. for lateral accretion in the NH (SH) (m)
 
    !!-----------------------------